--Config >>>

local modifyFreeButton = false
local modifyMenuButtons = true

--Config <<<


local MSQ = LibStub("Masque", true)

CreateFrame("FRAME", "PoisonerMasque")

local poisons = {
	[2823] = "Deadly Poison",
	[8679] = "Wound Poison",
	[3408] = "Crippling Poison",
	[5761] = "Mind-numbing Poison",
	[108211] = "Leeching Poison",
--	[108215] = "Paralytic Poison",
}

local buttonadded = {
	--[buttonName] = true
}

local events = {
	["PLAYER_LOGIN"] = true,
}

function PoisonerMasque:PLAYER_LOGIN()
	PoisonerMasque:Init()
end

function PoisonerMasque:Init()

--	print("PoisonerMasque Init")
	
-- FreeButton
	if modifyFreeButton then
		local fb = MSQ:Group("Poisoner", "FreeButton")	--registering the FreeButton for further modification
		local btn = _G["Poisoner_FreeButton"]
		if btn then
			fb:AddButton(btn)
		end
	end
-- MenuButtons
	if modifyMenuButtons then
		local mb = MSQ:Group("Poisoner", "Menu Buttons")
		
		hooksecurefunc(Poisoner, "CreateButtons",
			function()
				for spellID,v in pairs(poisons) do
					local buttonName = "Poisoner_MenuButton__"..spellID
					local button = _G[buttonName]
					if button and not buttonadded[buttonName] then
						mb:AddButton(button)
						buttonadded[buttonName] = true
					end
				end
				mb:ReSkin()
			end
		)
	end
	
-- AuraButtons
	
	
	
--	MSQ:Register("Poisoner", PoisonerMasque.Callback, PoisonerMasque)
	
end

function PoisonerMasque:Callback(...)
	print(...)
end

PoisonerMasque:SetScript("OnEvent", function(self, event, ...)
	if PoisonerMasque[event] then
		PoisonerMasque[event](nil, self, event, ...)
	else
	--	PoisonerMasque:OnEvent(self, event, ...)
	end
end)

for k,v in pairs(events) do
	PoisonerMasque:RegisterEvent(k)
end

